Last Comment Bug 747299 - tests for testRestartChangeArchitecture broken due to a bug in startUserShutdown
: tests for testRestartChangeArchitecture broken due to a bug in startUserShutdown
Status: RESOLVED FIXED
[mozmill-test-failure][needs-mozmill-...
: regression
Product: Mozilla QA
Classification: Other
Component: Mozmill Tests (show other bugs)
: unspecified
: All All
: -- normal (vote)
: ---
Assigned To: Henrik Skupin (:whimboo)
:
Mentors:
Depends on: 765040
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-19 21:49 PDT by Henrik Skupin (:whimboo)
Modified: 2012-08-14 14:59 PDT (History)
3 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---
fixed
fixed
fixed
fixed
fixed


Attachments
Patch v1 (skip tests) [checked-in] (7.15 KB, patch)
2012-04-19 21:59 PDT, Henrik Skupin (:whimboo)
david.guo: review+
Details | Diff | Splinter Review

Description Henrik Skupin (:whimboo) 2012-04-19 21:49:37 PDT
With the latest jsbridge auto-port selection feature implemented in Mozmill 1.5.10/11 we have seen that the startUserShutdown method of Mozmill is broken. That means after a restart the jsbridge connection cannot be established and the restart tests die.

Given that in Mozmill 2 the whole process handling has been rewritten, we don't intent to work on a fix for Mozmill 1.5 for now. If it's easy to backport it will be done but for the time being lets simply skip those tests across all platforms.
Comment 1 Henrik Skupin (:whimboo) 2012-04-19 21:59:20 PDT
Created attachment 616876 [details] [diff] [review]
Patch v1 (skip tests) [checked-in]
Comment 3 Henrik Skupin (:whimboo) 2012-06-14 18:21:18 PDT
This no longer depends on Mozmill 2. Once 1.5.13 has been released we can re-enable the test again.
Comment 4 Henrik Skupin (:whimboo) 2012-06-18 01:49:51 PDT
This was actually caused by the patch on bug 686320. Now with Mozmill 1.5.13 released we can re-enable this test. For now I will do it for default and we can follow-up later (tomorrow) with the other branches.

Backed out:
http://hg.mozilla.org/qa/mozmill-tests/rev/28ffe73795ee

Note You need to log in before you can comment on or make changes to this bug.